[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Buttons' (#lcl)

# TCustomBitBtn.CanShowGlyph

Indicates if the Glyph for the button can be displayed.

## Declaration

Source position: buttons.pp line 214

`public function TCustomBitBtn.CanShowGlyph(`
`const AWithShowMode: Boolean = False`
`):Boolean;`

## Arguments

`AWithShowMode` |  | Indicates if the ShowMode for the glyph is examined in the method.

## Function result

True when the Glyph image can be displayed for the control.

## Description

CanShowGlyph is a Boolean function which indicates if the Glyph for the button can be displayed. The return value contains the result from the CanShowGlyph method in the internal TButtonGlyph member.

AWithShowMode indicates whether the ShowMode property for the button glyph is examined in the method by calling the CanShow method in TButtonGlyph.

## See also

TButtonGlyph.Glyph |  | The bitmap image drawn as the glyph on the button.
TButtonGlyph.CanShowGlyph |  | Determines if an image is available for the button glyph.
TButtonGlyph.CanShow |  | Indicates if the glyph image can be drawn for the button glyph.
TButtonGlyph.ShowMode |  | Indicates the logic used to display the Glyph image for the class instance.